# e59.fr version 1.4

Le site officiel du club réseaux disponible à l'adresse https://e59.fr/

```sudo apt-get install php7.4-gd```

# PHP Informations

## Pages

- ```about/``` Informations about the data usage of the platform
- ```account/``` Change public account informations
- ```admin/``` Admin panel
- ```assets/``` Banner, PP and Miniatures images
- ```editor/``` Articles markdown editor
- ```login/``` Login, register and logout page
- ```news/``` Articles explorer and viewer
- ```settings/``` Account settings
- ```src/``` Ressources for the website (images, css, fonts)
- ```upload/``` Uplaod an article
- ```users/``` Check user public account

## Code conventions

- PHP Variables format : ```$phpVariable```
- tables columns format  : ```table_column```
- HTML Class format : ```html-class```

## $_SESSION[]

- ```userID```
- ```userName```
- ```userDisplayName```
- ```userRole```
- ```userAccreditation```

# Includes

## variables.php
- ```$rootPageURL```
- ```$rootFilePath```

- ```$sqlDatabaseName```
- ```$sqlDatabaseUser```
- ```$sqldatabasePass```
- ```$sqlDatabaseHost```

- ```$pageTitle```
- ```$headerTitle```
- ```$headerSubtitle```
- ```$footerText```

- ```$confidentialLevels```
- ```$userLevels```
- ```$badges```

- ```$darkThemes```
- ```$lightThemes```

## init.php
- Theme initialisation
- userLevel (permissions) initialisation

## main-functions.php
- ```markdownContent($filePath, $rootFilePath)```
- ```sqlConnect($dbHost, $dbName, $dbUser, $dbPass)```

## objects.php
- ```userWidget($userPPURL, $userDisplayName, $userName, $userCertification, $badges, $rootPageURL)```
- ```listArticles($result, $rootPageURL)```

## inputs.php
- ```textInput($type, $shapePath, $name, $placeholder, $value)```
- ```fileInput($name)```
- ```selectInput($name, $label, $options, $defaultValue)```

## panels.php
- ```fillHead($rootPageURL, $pageTitle, $darkTheme, $lightTheme)```
- ```fillHeader($rootPageURL, $headerTitle, $headerSubtitle)```
- ```fillNav($rootPageURL)```
- ```fillFooter($footerText)```




